Extending Qt Creator Manual | DumpSymbolGroupNodeVisitor

Extending Qt Creator Manual 4.3.0

# DumpSymbolGroupNodeVisitor Class

The DumpSymbolGroupNodeVisitor class is a GDBMI dump output visitor used to report locals values back to the debugging engine. More...

Header: | #include <DumpSymbolGroupNodeVisitor>
Inherits: | SymbolGroupNodeVisitor

- List of all members, including inherited members

## Public Functions

| DumpSymbolGroupNodeVisitor(std::ostream &os, const SymbolGroupValueContext &context, const DumpParameters &parameters = DumpParameters())

## Reimplemented Protected Functions

virtual void | childrenVisited(const AbstractSymbolGroupNode *node, unsigned depth)
virtual VisitResult | visit(AbstractSymbolGroupNode *node, const std::string &fullIname, unsigned child, unsigned depth)

- 3 protected functions inherited from SymbolGroupNodeVisitor

### Additional Inherited Members

- 1 static public member inherited from SymbolGroupNodeVisitor
- 3 protected functions inherited from SymbolGroupNodeVisitor

## Detailed Description

The DumpSymbolGroupNodeVisitor class is a GDBMI dump output visitor used to report locals values back to the debugging engine.

## Member Function Documentation

### DumpSymbolGroupNodeVisitor::DumpSymbolGroupNodeVisitor(std::ostream &os, const SymbolGroupValueContext &context, const DumpParameters &parameters = DumpParameters())

Default constructs an instance of DumpSymbolGroupNodeVisitor.

### `[virtual protected]` void DumpSymbolGroupNodeVisitor::childrenVisited(const AbstractSymbolGroupNode *node, unsigned depth)

### `[virtual protected]` VisitResult DumpSymbolGroupNodeVisitor::visit(AbstractSymbolGroupNode *node, const std::string &fullIname, unsigned child, unsigned depth)